%define section free

Summary:        XML Pull Parser
Name:           xpp3
Version:        1.1.2
Release:        1.a.3jpp
Epoch:          0
License:        Apache Software License -style
URL:            http://www.extreme.indiana.edu/xgws/xsoap/xpp/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.extreme.indiana.edu/xgws/xsoap/xpp/download/xpp3-1.1.2a_src.tgz
BuildRequires:  ant, jpackage-utils >= 0:1.5, junit, xml-commons-apis
BuildRequires:  /usr/bin/perl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
XML Pull Parser (in short XPP) is a streaming pull XML parser and
should be used when there is a need to process quickly and efficiently
all input elements (for example in SOAP processors). Pull parsing is
just one level up from tokenizing XML

%package minimal
Summary:        Minimal XML Pull Parser
Group:          Text Processing/Markup/XML

%description minimal
Minimal XML pull parser implementation.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}a
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# fix doc paths
perl -pi -e 's|href="doc/|href="| ; s|href="\.\./LICENSE|href="LICENSE|' \
  README.html

# -----------------------------------------------------------------------------

%build
export CLASSPATH=$(build-classpath xml-commons-apis junit)
ant xpp3 junit apidoc

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/%{name}-%{version}a.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p build/lib/%{name}-%{version}a_min.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-minimal-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

rm -rf doc/{build.txt,api}

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc README.html LICENSE.txt doc/*
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files minimal
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-minimal.jar
%{_javadir}/%{name}-minimal-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Mon May  5 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.1.2-1.a.3jpp
- Fix non-versioned javadoc symlinking.

* Mon Apr 21 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.1.2-1.a.2jpp
- Include non-versioned javadoc symlink.

* Tue Apr  1 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.1.2-1.a.1jpp
- First JPackage release.
